/*	%NetBSD: reboot.h,v 1.22 2005/02/03 19:20:02 perry Exp %	*/

/*
 * Copyright (c) 1982, 1986, 1988, 1993, 1994
 *	The Regents of the University of California.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	@(#)reboot.h	8.3 (Berkeley) 12/13/94
 */

/*
 * WARNING! This file is stripped and modified!
 */

/*
 * Arguments to reboot system call.  These are passed to the boot program,
 * and then on to init.
 */
#define	NB_RB_AUTOBOOT	0	/* flags for system auto-booting itself */

#define	NB_RB_ASKNAME	0x001	/* ask for file name to reboot from */
#define	NB_RB_SINGLE	    0x002	/* reboot to single user only */
#define	NB_RB_NOSYNC	    0x004	/* dont sync before reboot */
#define	NB_RB_HALT		0x008	/* don't reboot, just halt */
#define	NB_RB_INITNAME	0x010	/* name given for /etc/init (unused) */
#define	__NB_RB_UNUSED1	0x020	/* was RB_DFLTROOT, obsolete */
#define	NB_RB_KDB		0x040	/* give control to kernel debugger */
#define	NB_RB_RDONLY	    0x080	/* mount root fs read-only */
#define	NB_RB_DUMP		0x100	/* dump kernel memory before reboot */
#define	NB_RB_MINIROOT	0x200	/* mini-root present in memory at boot time */
#define	NB_RB_STRING	    0x400	/* use provided bootstr */
#define	NB_RB_POWERDOWN	(RB_HALT|0x800) /* turn power off (or at least halt) */
#define NB_RB_USERCONF	0x1000	/* change configured devices */

/*
 * Extra autoboot flags (passed by boot prog to kernel). See also
 * macros bootverbose, bootquiet in <sys/systm.h>.
 */
#define	NB_AB_NORMAL	0x00000	/* boot normally (default) */
#define	NB_AB_QUIET	    0x10000 /* boot quietly */
#define	NB_AB_VERBOSE	0x20000	/* boot verbosely */
#define	NB_AB_SILENT	0x40000	/* boot silently */
#define	NB_AB_DEBUG	    0x80000	/* boot with debug messages */
